#========================================================================================
# package      DE_EPAGES::GoogleSmartShopping::API::Constants
# state        public
#----------------------------------------------------------------------------------------
# description  This is the place for common GoogleSmartShopping values and constants.
#========================================================================================
package DE_EPAGES::GoogleSmartShopping::API::Constants;
use base Exporter;

use strict;

our @EXPORT_OK = qw (
    GOOGLE_SMART_SHOPPING_APP_SCOPES
    EPAGESJ_BASE_URI
    MERCHANT_CENTER_REQUIREMENTS_CHECK_LIST
    ERROR_TOO_MANY_SUBACCOUNTS
    ERROR_UNKNOWN
    ERROR_FORM_SUBMIT
    ERROR_ACCEPT_TERMS
    ERROR_TOKEN_EXPIRED_OR_REVOKED
);

use constant GOOGLE_SMART_SHOPPING_APP_SCOPES => qw (
    https://www.googleapis.com/auth/content
    https://www.googleapis.com/auth/siteverification
    https://www.googleapis.com/auth/adwords
    https://www.googleapis.com/auth/userinfo.email
);

use constant EPAGESJ_BASE_URI =>  'misc/google-smart-shopping/';

use constant MERCHANT_CENTER_REQUIREMENTS_CHECK_LIST => qw (
    ChecklistContactInfo
    ChecklistReturnPolicy
    ChecklistBillingTOC
    ChecklistGoogleAdsPolicies
);

use constant ERROR_TOO_MANY_SUBACCOUNTS => 'too_many_subaccounts';
use constant ERROR_UNKNOWN => 'unknown_error';
use constant ERROR_FORM_SUBMIT => 'form_submit_failed';
use constant ERROR_ACCEPT_TERMS => 'not_accepted_terms';
use constant ERROR_TOKEN_EXPIRED_OR_REVOKED => 'token_expired_or_revoked';

1;
