#========================================================================================
# package      DE_EPAGES::ShopMigration::API::JSONLines::CustomerGroupsExportDriver
# state        public
#----------------------------------------------------------------------------------------
# description  exports customerGroups for shop / prepshop
#========================================================================================
package DE_EPAGES::ShopMigration::API::JSONLines::CustomerGroupsExportDriver;
use base DE_EPAGES::ShopMigration::API::JSONLines::ShopObjectExportDriver;
use strict;

use DE_EPAGES::ShopMigration::API::CustomerGroupsCommon qw(GetCustomerGroupData);
#========================================================================================
# function     defaultBaseFileName
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->defaultBaseFileName;
#----------------------------------------------------------------------------------------
# description  returns the default json filename
#----------------------------------------------------------------------------------------
# return       $FileName | file name | string
#========================================================================================
sub defaultBaseFileName {
    return 'customergroups.json';
}

#========================================================================================
# function     exportLine
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->exportLine();
#----------------------------------------------------------------------------------------
# description  exports one data line, get the line element from function topID('Item')
#========================================================================================
sub exportLine {
    my $self = shift;

    my $CustomerGroup = $self->topID('Item');
    my $hValues = GetCustomerGroupData($self->shop, $CustomerGroup);
    $self->writeLine($hValues) if (keys %$hValues);
    
    return;
}

1;
