#========================================================================================
# package      DE_EPAGES::ShopMigration::API::JSONLines::PriceListGlobalValueDiscountsExportDriver
# state        public
#----------------------------------------------------------------------------------------
# description  exports PriceListGlobalValueDiscounts for shop / prepshop
#========================================================================================
package DE_EPAGES::ShopMigration::API::JSONLines::PriceListGlobalValueDiscountsExportDriver;
use base DE_EPAGES::ShopMigration::API::JSONLines::ShopObjectExportDriver;

use strict;

use DE_EPAGES::ShopMigration::API::PriceListGlobalValueDiscountsCommon qw(GetPriceListGlobalValueDiscountData);

#========================================================================================
# function     defaultBaseFileName
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->defaultBaseFileName;
#----------------------------------------------------------------------------------------
# description  returns the default json filename
#----------------------------------------------------------------------------------------
# return       $FileName | file name | string
#========================================================================================
sub defaultBaseFileName {
    return 'pricelistglobalvaluediscounts.json';
}

#========================================================================================
# function     exportLine
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->exportLine();
#----------------------------------------------------------------------------------------
# description  exports one data line, get the line element from function topID('Item')
#========================================================================================
sub exportLine {
    my $self = shift;

    my $PriceListGlobalValueDiscount = $self->topID('Item');
    my $hValues = GetPriceListGlobalValueDiscountData($self->shop, $PriceListGlobalValueDiscount);
    $self->writeLine($hValues) if (keys %$hValues);
    
    return;
}
1;
