#========================================================================================
# package      DE_EPAGES::ShopMigration::API::JSONLines::PriceListGlobalValueDiscountsImportHandler
# state        public
#----------------------------------------------------------------------------------------
# description  imports global value discounts for the shop
#========================================================================================
package DE_EPAGES::ShopMigration::API::JSONLines::PriceListGlobalValueDiscountsImportHandler;
use base DE_EPAGES::ShopMigration::API::JSONLines::ShopObjectImportHandler;

use strict;
use DE_EPAGES::ShopMigration::API::PriceListGlobalValueDiscountsCommon qw(SetPriceListGlobalValueDiscountData);


#========================================================================================
# function     defaultBaseFileName
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->defaultBaseFileName;
#----------------------------------------------------------------------------------------
# description  returns the default json filename
#----------------------------------------------------------------------------------------
# return       $FileName | file name | string
#========================================================================================
sub defaultBaseFileName {
    return 'pricelistglobalvaluediscounts.json';
}

#========================================================================================
# function     setShopDataPrepShop
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->setShopDataPrepShop($hFields);
#----------------------------------------------------------------------------------------
# input        $hLineData | Hash with Values | ref hash string
# description  Imports relevant data from $hFields to the prep shop
#========================================================================================
sub setShopDataPrepShop {
    my $self        = shift;
    my ($hLineData) = @_;

    SetPriceListGlobalValueDiscountData($self->shop(), $hLineData);
}

#========================================================================================
# function     setShopDataBaseShop
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->setShopDataBaseShop($hFields);
#----------------------------------------------------------------------------------------
# input        $hLineData | Hash with Values | ref hash string
# description  Imports relevant data from $hFields to the base shop
#========================================================================================
sub setShopDataBaseShop {
    my $self        = shift;
    my ($hLineData) = @_;

    SetPriceListGlobalValueDiscountData($self->shop(), $hLineData);
}

1;
