#========================================================================================
# package      DE_EPAGES::ShopMigration::API::JSONLines::PriceListQuantityDiscountsExportDriver
# state        public
#----------------------------------------------------------------------------------------
# description  exports PriceListQuantityDiscounts for shop / prepshop
#========================================================================================
package DE_EPAGES::ShopMigration::API::JSONLines::PriceListQuantityDiscountsExportDriver;
use base DE_EPAGES::ShopMigration::API::JSONLines::ShopObjectExportDriver;

use strict;

use DE_EPAGES::ShopMigration::API::PriceListQuantityDiscountsCommon qw(GetPriceListQuantityDiscountData);

#========================================================================================
# function     defaultBaseFileName
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->defaultBaseFileName;
#----------------------------------------------------------------------------------------
# description  returns the default json filename
#----------------------------------------------------------------------------------------
# return       $FileName | file name | string
#========================================================================================
sub defaultBaseFileName {
    return 'pricelistquantitydiscounts.json';
}

#========================================================================================
# function     exportLine
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->exportLine();
#----------------------------------------------------------------------------------------
# description  exports one data line, get the line element from function topID('Item')
#========================================================================================
sub exportLine {
    my $self = shift;

    my $PriceListQuantityDiscount = $self->topID('Item');
    my $hValues = GetPriceListQuantityDiscountData($self->shop, $PriceListQuantityDiscount);
    $self->writeLine($hValues) if (keys %$hValues);
    
    return;
}
1;
