#========================================================================================
# package      DE_EPAGES::ShopMigration::API::JSONLines::PriceListScalePricesExportDriver
# state        public
#----------------------------------------------------------------------------------------
# description  exports PriceListScalePrices for shop / prepshop
#========================================================================================
package DE_EPAGES::ShopMigration::API::JSONLines::PriceListScalePricesExportDriver;
use base DE_EPAGES::ShopMigration::API::JSONLines::ShopObjectExportDriver;

use strict;

use DE_EPAGES::ShopMigration::API::PriceListScalePricesCommon qw(GetPriceListScalePriceData);

#========================================================================================
# function     defaultBaseFileName
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->defaultBaseFileName;
#----------------------------------------------------------------------------------------
# description  returns the default json filename
#----------------------------------------------------------------------------------------
# return       $FileName | file name | string
#========================================================================================
sub defaultBaseFileName {
    return 'pricelistscaleprices.json';
}

#========================================================================================
# function     exportLine
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->exportLine();
#----------------------------------------------------------------------------------------
# description  exports one data line, get the line element from function topID('Item')
#========================================================================================
sub exportLine {
    my $self = shift;

    my $PriceListScalePrice = $self->topID('Item');
    my $hValues = GetPriceListScalePriceData($self->shop, $PriceListScalePrice);
    $self->writeLine($hValues) if (keys %$hValues);
    
    return;
}
1;
