#========================================================================================
# package      DE_EPAGES::ShopMigration::API::JSONLines::PriceListsExportDriver
# state        public
#----------------------------------------------------------------------------------------
# description  exports PriceLists for shop / prepshop
#========================================================================================
package DE_EPAGES::ShopMigration::API::JSONLines::PriceListsExportDriver;
use base DE_EPAGES::ShopMigration::API::JSONLines::ShopObjectExportDriver;

use strict;

use DE_EPAGES::ShopMigration::API::PriceListsCommon qw(GetPriceListData);

#========================================================================================
# function     defaultBaseFileName
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->defaultBaseFileName;
#----------------------------------------------------------------------------------------
# description  returns the default json filename
#----------------------------------------------------------------------------------------
# return       $FileName | file name | string
#========================================================================================
sub defaultBaseFileName {
    return 'pricelists.json';
}

#========================================================================================
# function     exportLine
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->exportLine();
#----------------------------------------------------------------------------------------
# description  exports one data line, get the line element from function topID('Item')
#========================================================================================
sub exportLine {
    my $self = shift;

    my $PriceList = $self->topID('Item');
    my $hValues = GetPriceListData($self->shop, $PriceList);
    $self->writeLine($hValues) if (keys %$hValues);
    
    return;
}
1;
