#========================================================================================
# package      DE_EPAGES::Shore::API::Shop
# state        public
#----------------------------------------------------------------------------------------
# description  This package provides the interface for Shop.
#========================================================================================
package DE_EPAGES::Shore::API::Shop;
use base qw( Exporter );

use strict;
our @EXPORT_OK = qw(
    GetShoreScriptTagUrl
);

#========================================================================================
# function     GetShoreScriptTagUrl
#----------------------------------------------------------------------------------------
# syntax       $UnityShoreScriptTagUrl = GetShoreScriptTagUrl($Shop);
#----------------------------------------------------------------------------------------
# description  Returns the URL of the Shore script tag for Unity shops
#----------------------------------------------------------------------------------------
# input        $Shop| shop | object
#----------------------------------------------------------------------------------------
# return       $UnityShoreScriptTagUrl | script tag url | string
#========================================================================================
sub GetShoreScriptTagUrl {
    my ( $Shop ) = @_;

    return $Shop->get('WebServerScriptName') . '?ViewAction=UnityViewShoreScript';
}