#========================================================================================
# package      DE_EPAGES::Zettle::UI::Zettle
# state        public
#----------------------------------------------------------------------------------------
# description  UI Controller for Zettle
#========================================================================================
package DE_EPAGES::Zettle::UI::Zettle;
use base DE_EPAGES::BacklinkProvider::UI::Provider;

use strict;

use DE_EPAGES::Zettle::API::ZettleUrlBuilder;

#============================================================================================
# function     BacklinkZettleOnboarding
# state        public
#----------------------------------------------------------------------------------------
# syntax       BacklinkZettleOnboarding( $Servlet );
#----------------------------------------------------------------------------------------
# description  Redirects to the right MBO page after onboarding.
#----------------------------------------------------------------------------------------
# input        $Servlet | Servlet | Servlet
#========================================================================================
sub BacklinkZettleOnboarding {
    my $self = shift;
    my ($Servlet) = @_;

    my $Form = $Servlet->form();
    my $hQueryParameters = $Form->queryValues();

    my $ZettleUrlBuilder = $self->_createZettleUrlBuilder();
    my $URL = $ZettleUrlBuilder->buildRedirectToMboUrl($hQueryParameters);

    $self->_RedirectToURL($URL);

    return;
}


#----------------------------------------------------------------------------------------
# Private methods
#----------------------------------------------------------------------------------------
sub _RedirectToURL {
    my $self = shift;
    my ( $URL ) = @_;
    $self->SUPER::RedirectToURL( $URL );
    return;
}

sub _createZettleUrlBuilder {
    my $self = shift;
    return DE_EPAGES::Zettle::API::ZettleUrlBuilder->new();
}

1;
